For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
            • Companies
              • GETList Companies
              • POSTCreate Company
              • GETGet Company Details
              • PUTUpdate Company
              • DELDelete Company
              • POSTConvert BigCommerce Customer Group into Company
              • POSTBulk Create Companies
              • PUTUpdate Companies (batch)
              • PUTUpdate Company Catalog
              • PUTUpdate Company Status
              • GETList Company Extra Field Configs
              • GETList Company Attachments
              • POSTAdd Company Attachment
              • DELDelete Company Attachment
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementCompanyCompanies

Update Company Catalog

PUT
https://api-b2b.bigcommerce.com/api/v3/io/companies/:companyId/catalogs
PUT
/api/v3/io/companies/:companyId/catalogs
$curl -X PUT https://api-b2b.bigcommerce.com/api/v3/io/companies/123456/catalogs \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "catalogId": "123456"
>}'
1{
2 "code": 200,
3 "meta": {
4 "message": "SUCCESS"
5 },
6 "data": {
7 "companyId": 12
8 }
9}

Updates the price list assigned to the Company account. This endpoint is not supported for stores using Independent Companies behavior.

Was this page helpful?
Previous

Update Companies (batch)

Next

Update Company Status

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

companyIdintegerRequired
Unique numeric ID of the Company account.

Request

This endpoint expects an object.
catalogIdstringRequired
The ID of the price list assigned to the Company account. This field is read-only for stores using [Independent Companies Behavior](/developer/api-reference/rest/b2b/management/company/companies#independent-vs-dependent-companies-behavior). If your store uses legacy Dependent Companies behavior **and** it does not have Multi-Storefront enabled, this field is **required** for creating new Company accounts. If your store has Multi-Storefront enabled, use the `priceListAssign` array instead.

Response

OK
codedouble
metaobject
dataobject

Errors

405
Method Not Allowed Error

The ID of the price list assigned to the Company account. This field is read-only for stores using Independent Companies Behavior.

If your store uses legacy Dependent Companies behavior and it does not have Multi-Storefront enabled, this field is required for creating new Company accounts. If your store has Multi-Storefront enabled, use the priceListAssign array instead.